;// ScotSupervisorSwitchMsg.mc (.h)
;// $Project: NMASNTCat$ $Workfile: ScotSupervisorSwitchMsg.mc $ $Revision: 5 $ $Date: 11/16/99 3:29p $
;//  
;//**  Copyright NCR Corp. 1997
;//**  This media contains an authorized
;//**  copy or copies of material copyrighted
;//**  by NCR Corp.  This copyright notice
;//**  and any other copyright notices
;//**  included in machine readable copies
;//**  must be reproduced on all authorized
;//**  copies.  Confidential, Unpublished
;//**  Property of NCR Corporation
;//
;// Error Messages Definitions
;//
;// NMAS_REGISTRY_NAME is the name of the "SOURCE" Logging errors.  NMAS_REGISTRY_NAME
;//    can be used in the RegisterSource function of the CErrorLog Class or 
;//    in the WIN32SDK function RegisterEventSource.
;//
;//
;// The following lines should be in your application specific message file:
;//      //NMAS_REGISTRY_NAME should be 18 char or less
;//      #define NMAS_REGISTRY_NAME	"test"
;//
;// The install process for "NMAS_REGISTRY_NAME" should add the following key
;//     and values to the NT registry.

;//         HKEY_LOCAL_MACHINE 
;//           System 
;//             CurrentControlSet 
;//               Services 
;//                 EventLog 
;//                   Application 
;//                     <NMAS_REGISTRY_NAME> 
;//							EventMessageFile:REG_EXPAND_SZ:Full Path name of the 
;//								executable or DLL containing the messages 
;//							CategoryMessageFile:REG_EXPAND_SZ:Full Path name of the 
;//								executable or DLL containing the Categories can be same 
;//								as EventMessageFile
;//							CategoryCount:REG_DWORD:Hex value of "NMAS_CATEGORY_COUNT"
;//								or the total number of categories in CategoryMessageFile
;//							TypesSupported:REG_DWORD:0x07


;//
;// Store Minder Event Categories
;//     Category description should be 20 char or less


MESSAGEID=1
SYMBOLICNAME= SM_CAT_STARTUP_INIT
LANGUAGE=ENGLISH
Startup/Init
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_STOP_ABORT
LANGUAGE=ENGLISH
Stop/Abort
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_CONFIGURATION
LANGUAGE=ENGLISH
Configuration
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_INPUT_PARAMETER
LANGUAGE=ENGLISH
Input/Parameter
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_SYSTEM_CALL
LANGUAGE=ENGLISH
System Call
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_3rd_PARTY_INTERFACE
LANGUAGE=ENGLISH
3rd Party Interface
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_INTERNAL_INTERFACE
LANGUAGE=ENGLISH
Internal Interface
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_DATA_CAPTURE
LANGUAGE=ENGLISH
Data Capture/Debug
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_LAN_WAN_COMM
LANGUAGE=ENGLISH
LAN/WAN Comm
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_SECURITY
LANGUAGE=ENGLISH
Security
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_FILE_IO
LANGUAGE=ENGLISH
File I/O
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_RESOURCE
LANGUAGE=ENGLISH
Memory/Resources
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_IPC
LANGUAGE=ENGLISH
IPC
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_PERIPHERAL_COMM
LANGUAGE=ENGLISH
Peripheral Comm
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_HARDWARE
LANGUAGE=ENGLISH
Hardware
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_DEVICE_PERIPHERAL
LANGUAGE=ENGLISH
Device/Peripheral
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_OPERATOR
LANGUAGE=ENGLISH
Operational/User
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_INTERNAL_ERROR
LANGUAGE=ENGLISH
Internal Error
.


;
;
;//Within the message text, several escape sequences are supported for
;//    dynamically formatting the message.  The percent sign character (%)
;//    begins all escape sequences.
;//
;//
;//        %0 - This terminates a message text line without a trailing
;//             newline.  This can be used to build up long lines or to
;//             terminate the message itself without a trailing newline,
;//             which is useful for prompt messages.
;//
;//        %n!printf format string!  - This identifies an insert.  The
;//             value of n can be between 1 and 99.  The printf format
;//             string must be bracketed by exclamation marks.  It is
;//             optional and defaults to !s! if not specified.
;//
;//             The printf format string can contain the * specifier for
;//             either the precision or width components, and if so, they
;//             will consume inserts %n+1 and %n+2 for their values at run
;//             time.  MC will print a warning message if an explicit
;//             reference is made to these inserts elsewhere in the message
;//             text.
;//
;//    Inserts must reference a parameter passed to the FormatMessage API
;//    call.  It will return an error if a message refers to an insert that
;//    was not passed to the FormatMessage API call.
;//
;//    Any other character following a percent sign, other than a digit will
;//    be formatted in the output message without the percent sign.  Some
;//    examples:
;//
;//        %% - will output a single percent sign in the formatted message text.
;//
;//        %n - will output a hard line break when it occurs at the end of a
;//             a line.  Useful when FormatMessage is supplying normal line
;//             breaks so the message fits in a certain width.
;//
;//        %r - will output a hard carriage return, without a trailing newline.
;//
;//        %b - will output a space in the formatted message text.  This
;//             can be used to insure there are the appropriate number of
;//             trailing spaces in a message text line.
;//
;//        %t - will output a tab in the formatted message text.
;//
;//        %. - will output a single period in the formatted message text.
;//             This can be used to get a single period at the beginning of
;//             a line without terminating the message text definition.
;//
;//        %! - will output a single exclamation point in the formatted
;//             message text.  This can be used to get an exclamation point
;//             immediately after an insert without it being mistaken for
;//             the beginning of a printf format string.
;//
;//  The Following is a sample Message
;//
;//  MessageId=0x0100
;//  SymbolicName=ERROR_ONE
;//  Language=English
;//  Starting tmssvr%0
;//  .
;//  Language=French
;//  Commencant tmssvr%0
;//  .


;///////////////////////////
;//
;// Start of generic messages
;//
;///////////////////////////

MessageId=400
SymbolicName=IDS_EVT_ERR_CREATING_EVENT_WINDOW
Severity=Error
Language=English
Error Creating Event Window : Error Code = %1%n
%n
Meaning : MFC API call 'CWnd::CreateEx' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=401
SymbolicName=IDS_EVT_ERR_CREATING_EVENT_THREAD
Severity=Error
Language=English
Error Creating Event Thread : Error Code = %1%n
%n
Meaning : API call 'AfxBeginThread' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=402
SymbolicName=IDS_EVT_ERR_SIGNALLING_EVENT
Severity=Error
Language=English
Error Signalling Event : Error Code = %1%n
%n
Meaning : API call 'SetEvent' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=403
SymbolicName=IDS_EVT_ERR_WAITING_FOR_SIGNAL_EVENT
Severity=Error
Language=English
Error while Waiting for Event to be Signalled : Error Code = %1%n
%n
Meaning : Windows API call failed while Waiting for an Event to be signalled.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=404
SymbolicName=IDS_EVT_ERR_RESETTING_EVENT
Severity=Error
Language=English
Error Resetting Event : Error Code = %1%n
%n
Meaning : Windows API call 'ResetEvent' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=405
SymbolicName=IDS_EVT_ERR_DESTROYING_EVENT_WINDOW
Severity=Error
Language=English
Error Destroying Event Window : Error Code = %1%n
%n
Meaning : Windows API call 'DestroyWindow' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=406
SymbolicName=IDS_EVT_ERR_EVENT_IN_PROGRESS
Severity=Error
Language=English
Close or Release called during Event processing%n
%n
Meaning : Close or Release called while an event is in progress. This can only occur if the Close or Release is called from a thread other than the main app thread.%n
%n
Action  : Call Close or Release from the main app thread.%n
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=407
SymbolicName=IDS_EVT_ERR_CONTAINER_UNFREEZE_WITH_COUNT_0
Severity=Error
Language=English
Container called Unfreeze events while count = %1%n
%n
Meaning : Container tried to Unfreeze events when events were not frozen.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=408
SymbolicName=IDS_EVT_ERR_SENDING_NOTIFY_MESSAGE
Severity=Error
Language=English
Error sending notify message to event window : Error code = %1%n
%n
Meaning : Windows API call 'SendNotifyMessage' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.


;///////////////////////////
;//
;// End of generic messages
;//
;///////////////////////////

;///////////////////////////
;//
;// SO Messages
;//
;///////////////////////////


MessageId=409
SymbolicName=IDS_EVT_ERR_BASEKEY_NOT_FOUND
Severity=Error
Language=English
Base Key '%1' not found%n
%n
Meaning : Control has not been registered properly.%n
%n
Action  : Initialize Registry data.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=410
SymbolicName=IDS_EVT_ERR_DEVICE_NAME_NOT_FOUND
Severity=Error
Language=English
Device Name '%1' not found%n
%n
Meaning : Control has not been registered properly.%n
%n
Action  : Initialize Registry data.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=411
SymbolicName=IDS_EVT_ERR_SONAME_READ_FAILED
Severity=Error
Language=English
Failed read of SOName from '%1'%n
%n
Meaning : Control has not been registered properly.%n
%n
Action  : Initialize Registry data.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=412
SymbolicName=IDS_EVT_ERR_CREATE_DISPATCH_FAILED
Severity=Error
Language=English
Create dispatch failed for '%1'%n
%n
Meaning : Windows could not create Dispatch Interface for the Service Object.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=413
SymbolicName=IDS_EVT_ERR_DISPATCH_GETIDOFNAMES_FAILED
Severity=Error
Language=English
GetIdsofNames failed for '%1'%n
%n
Meaning : Control Object/Service Object interface method not found.%n
%n
Action  : Verify that the Control Object and Service Object provide the required interface methods.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=414
SymbolicName=IDS_EVT_ERR_DISPATCH_LOOKUP_1_0_FAILED
Severity=Error
Language=English
Lookup of 1.0 Dispatch name '%1' failed%n
%n
Meaning : The Service Object does not support 1.0 interface methods.%n
%n
Action  : Check the Service Object Version.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=415
SymbolicName=IDS_EVT_ERR_SO_OPENSERVICE_FAILED
Severity=Error
Language=English
SO OpenService failed%n
%n
Meaning : Service Object could not open the device.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=416
SymbolicName=IDS_EVT_ERR_SO_MAJORVERSION_NOT_1
Severity=Error
Language=English
SO MajorVersion not 1 : SOMajorVersion = %1%n
%n
Meaning : Service Object does not support the minimum interface methods for version 1.0%n
%n
Action  : Check the Service Object Version.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=417
SymbolicName=IDS_EVT_ERR_DISPATCH_LOOKUP_1_X_FAILED
Severity=Error
Language=English
Lookup of 1%.%1 Dispatch name '%2' failed%n
%n
Meaning : Service Object does not support the minimum interface methods for the current version.%n
%n
Action  : Check the Service Object Version.%n
%n
Source File : %3%n
Source Line : %4%n
Method Name : %5
.

MessageId=418
SymbolicName=IDS_EVT_ERR_INVALID_PROPERTY_INDEX
Severity=Error
Language=English
Invalid property index : Index = %1%n
%n
Meaning : Control tried to access an unsupported property.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=419
SymbolicName=IDS_EVT_ERR_WRITING_SO_INFORMATION
Severity=Error
Language=English
Error writing information SOVersion/SODescription to Registry%n
%n
Meaning : Windows API call 'RegSetValueEx' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=420
SymbolicName=IDS_EVT_ERR_INITIALIZING_EVENT_MANAGER
Severity=Error
Language=English
Error Inititalizing Event Manager%n
%n
Meaning : Event Manager could not be initialized.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=421
SymbolicName=IDS_EVT_ERR_SO_INITIALIZATION_FAILED
Severity=Error
Language=English
Error Initializing SO%n
%n
Meaning : Service Object could not be initialized.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=422
SymbolicName=IDS_EVT_ERR_TERMINATING_EVENT_MANAGER
Severity=Error
Language=English
Error Terminating Event Manager%n
%n
Meaning : Event Manager could not terminate itself.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=423
SymbolicName=IDS_EVT_ERR_ALLOCATE_MEMORY
Severity=Error
Language=English
Error Allocating Memory : Error code = %1%n
%n
Meaning : System resources low.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=424
SymbolicName=IDS_EVT_ERR_ULY_RESPONSE
Severity=Error
Language=English
Ulysses API Error : Error code = %1%n
%n
Meaning : Ulysses API call returned with an error.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=425
SymbolicName=IDS_EVT_ERR_ULY_RETRIEVE_MESSAGE
Severity=Error
Language=English
Error retrieving Ulysses message : Error code = %1%n
%n
Meaning : Ulysses API call returned with an error.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=426
SymbolicName=IDS_EVT_ERR_ULY_FREE_MESSAGE
Severity=Error
Language=English
Error freeing Ulysses message : Error code = %1%n
%n
Meaning : Ulysses API call returned with an error.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=427
SymbolicName=IDS_EVT_ERR_ULY_EXECUTING_COMMAND
Severity=Error
Language=English
Error executing Ulysses command : Error code = %1%n
%n
Meaning : Ulysses API call returned with an error.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=428
SymbolicName=IDS_EVT_ERR_CREATING_ULYSSES_THREAD
Severity=Error
Language=English
Error Creating Ulysses Thread : Error code = %1%n
%n
Meaning : Windows API call 'AfxBeginThread' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=429
SymbolicName=IDS_EVT_ERR_ULY_LOOKUP_SERVICE
Severity=Error
Language=English
Error in Ulysses Lookup Service : Error code = %1%n
%n
Meaning : Ulysses 'MODE_SWITCH' service not found.%n
%n
Action  : Restart system/Check Data Capture file for more information and/or contact maintenance personnel.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=430
SymbolicName=IDS_EVT_ERR_ULY_MESSAGE_UNSUBSCRIBE
Severity=Error
Language=English
Error Unsubscribing to Ulysses message : Error code = %1%n
%n
Meaning : Ulysses API call returned with an error.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=431
SymbolicName=IDS_EVT_ERR_CREATING_ULYSSESWINDOW
Severity=Error
Language=English
Error Creating UlyssesWindow : Error code = %1%n
%n
Meaning : Windows API call 'CreateWindowEx' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=432
SymbolicName=IDS_EVT_ERR_WAITING_FOR_ULYSSES_THREAD
Severity=Error
Language=English
Error while waiting for Ulysses thread to signal event : Error code = %1%n
%n
Meaning : System resources low.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=433
SymbolicName=IDS_EVT_ERR_CREATING_ULYSSESWINDOW_OBJECT
Severity=Error
Language=English
Failed to create UlyssesWindow object : Error code = %1%n
%n
Meaning : System resources low.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=434
SymbolicName=IDS_EVT_ERR_REGISTERING_WINDOW_MESSAGE
Severity=Error
Language=English
Error Registering Window Message : Error code = %1%n
%n
Meaning : Windows API call 'RegisterWindowMessage' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=435
SymbolicName=IDS_EVT_ERR_ULY_MESSAGE_SUBSCRIBE
Severity=Error
Language=English
Error Subscribing to Ulysses message : Error code = %1%n
%n
Meaning : Ulysses API call returned with an error.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=436
SymbolicName=IDS_EVT_ERR_ULY_UNEXPECTED_RESPONSE
Severity=Error
Language=English
Unexpected Ulysses response : Error code = %1%n
%n
Meaning : Ulysses API call returned with an error.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=437
SymbolicName=IDS_EVT_ERR_ULY_UNSUBSCRIBED_MESSAGE
Severity=Error
Language=English
Unsubscribed message received from Ulysses : Error code = %1%n
%n
Meaning : Ulysses posted an Unsubscribed message to the Ulysses Message handler.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=438
SymbolicName=IDS_EVT_ERR_EXCEPTION_CAUGHT
Severity=Error
Language=English
Exception caught%n
%n
Meaning : Exception occurred in Service Object.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3%n
%n
Exception Code : %4%n
Description    : %5
.

MessageId=439
SymbolicName=IDS_EVT_ERR_REGISTERING_TALLIES
Severity=Error
Language=English
Error Registering Tallies : Error code = %1%n
%n
Meaning : Control could not register the Switch Transitions tally with the Tally Agent.%n
%n
Action  : NCR Tally Agent components may be corrupted/missing.
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=440
SymbolicName=IDS_EVT_ERR_INCREMENTING_TALLIES
Severity=Error
Language=English
Error incrementing Supervisor Switch Transitions tally : Current count = %1%n
%n
Meaning : Control could not increment the Switch Transitions tally.%n
%n
Action  : NCR Tally Agent components may be corrupted/missing.
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=441
SymbolicName=IDS_EVT_ERR_WAITING_ULYSSES_THREAD_TERMINATE
Severity=Error
Language=English
Error while waiting for Ulysses thread to terminate : Error code = %1%n
%n
Meaning : Windows API call 'WaitForSingleObject' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=442
SymbolicName=IDS_EVT_ERR_CHECKING_KEYLOCK_POSITION
Severity=Error
Language=English
Error while checking keylock position : Error code = %1%n
%n
Meaning : C_Ontrak API call 'GetKeylockPosition' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=443
SymbolicName=IDS_EVT_ERR_INITIALIZING_KEYLOCK_DEVICE
Severity=Error
Language=English
Error while initializing keylock device : Error code = %1%n
%n
Meaning : C_Ontrak API call 'Initialize' failed.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=444
SymbolicName=IDS_EVT_ERR_KEYLOCK_UNEXPECTED_RESPONSE
Severity=Error
Language=English
Returned keylock data is invalid or unrecognized : Error code = %1%n
%n
Meaning : C_Ontrak API 'GetKeylockPosition' returned invalid data.%n
%n
Action  : Restart system/Check Data Capture file for more information.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=445
SymbolicName=IDS_EVT_ERR_CREATING_OBJECT
Severity=Error
Language=English
Error Creating Object : %n
%nMeaning : The system is running low on resources.%nAction : Check the Data Capture file. Shut down a few applications/windows and run again.
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

;// change with care - event shared with miscif's msg dll
MessageId=446
SymbolicName=IDS_EVT_ERR_FAIL_COMM_TO_ONTRAK_BD
Severity=Error
Language=English
Failed to communicate to hardware : %n
%nMeaning : Failed to communicate to Scot Interface Unit. %nMiscIF7401 control is configured for %1. Ensure hardware is attached to same port and is powered up.
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4%n
.

;// change with care - event shared with miscif's msg dll
MessageId=447
SymbolicName=IDS_EVT_ERR_CREATING_SHMMEM
Severity=Error
Language=English
Failed to create or attach to shared memory : %n
%nMeaning : Initialization failed to create or attach to shared memory.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3%n
.

;// change with care - event shared with miscif's msg dll
MessageId=448
SymbolicName=IDS_EVT_ERR_CREATING_THREAD
Severity=Error
Language=English
Error Creating Thread : %n
%nMeaning : The system is running low on resources.%nAction : Check the Data Capture file. Shut down a few applications/windows and run again.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

;// change with care - event shared with miscif's msg dll
MessageId=449
SymbolicName=IDS_EVT_ERR_ALLOC_PORTHANDLE
Severity=Error
Language=English
Failed allocating resource.%n
%n
Meaning : A PortHandle array element (maintained in shared memory) could not be allocated. Initialization failed.%n
%n
Action  :  Retry, shutdown application and restart, or reboot. If problem persists, contact appropriate support personnel.%n
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

;// change with care - event shared with miscif's msg dll
MessageId=450
SymbolicName=IDS_EVT_ERR_OPENING_COMPORT
Severity=Error
Language=English
Failed opening serial port.%n
%n
Meaning : Failed to open serial port %1. Initialization failed.%n
%n
Action  :  Ensure port %1 exists and is unused by other applications.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.
